//
//  ViewController.m
//  SHScrollecView
//
//  Created by 荣翰 on 16/10/19.
//  Copyright © 2016年 荣翰. All rights reserved.
//

#import "ViewController.h"
#import "MyView.h"
#import "YouView.h"
@interface ViewController (){

    CGFloat BtnWidth;
    UIImageView *imageview;
    UIButton *btn;
    UIScrollView *tabScrollView;
    UIScrollView *topView;



}
//屏幕的宽、高
#define kScreenWidth  [UIScreen mainScreen].bounds.size.width
#define kScreenHeight [UIScreen mainScreen].bounds.size.height

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
   
    [self creationView];
    [self aaaaaaaaa];
}


- (void)creationView {
    BtnWidth = kScreenWidth/4;
    NSArray *arr = @[@"超市",@"酒吧",@"KtV",@"餐馆",@"咖啡厅",@"烧烤吧"];
    /*按钮*/
    topView = [[UIScrollView alloc] initWithFrame:CGRectMake(0,20, kScreenWidth, 30)];
    topView.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"product-detail-buy-bt"]];
    /*以下两个属性可以设置Button与ScrollView的点击事件不会冲突*/
    topView.canCancelContentTouches = NO;/*是否可以中断touche*/
    topView.delaysContentTouches = NO;/*是否延迟touches事件*/
    topView.contentSize = CGSizeMake(BtnWidth*arr.count,30);
    [self.view addSubview:topView];
    
    /*背景*/
    imageview = [[UIImageView alloc]initWithFrame:CGRectMake(0,0, BtnWidth, 30)];
    imageview.backgroundColor = [UIColor blueColor];
    [topView addSubview:imageview];
    
    /*创建Button*/
    for (int i=0; i<arr.count; i++) {
        btn = [[UIButton alloc] initWithFrame:CGRectMake(i*BtnWidth, 0, BtnWidth,30)];
        btn.tag = 3000+i;
        [btn setTitle:arr[i] forState:UIControlStateNormal];
        [btn addTarget:self action:@selector(btnButton:) forControlEvents:UIControlEventTouchUpInside];
        [topView addSubview:btn];
    }
    
    /*视图*/
    tabScrollView = [[UIScrollView alloc]initWithFrame:CGRectMake(0,110, kScreenWidth,kScreenHeight)];
    tabScrollView.contentSize = CGSizeMake(kScreenWidth*arr.count, 0);
    tabScrollView.backgroundColor = [UIColor whiteColor];
    [self.view addSubview:tabScrollView];
    
    
}

-(void)aaaaaaaaa{


    
    MyView *my = [[MyView alloc]init];
    my.view.frame = CGRectMake(kScreenWidth, 0, kScreenWidth,tabScrollView.frame.size.height);
    
    [tabScrollView addSubview:my.view];
    
    YouView *you = [[YouView alloc]init];
    you.view.frame = CGRectMake(kScreenWidth*2, 0, kScreenWidth,tabScrollView.frame.size.height);
    
    [tabScrollView addSubview:you.view];
    



}
-(void)btnButton:(UIButton *)btnButton{
    imageview.center = btnButton.center;
    NSInteger index = btnButton.tag - 3000;
    
    if (index == 0) {
        
        tabScrollView.contentOffset = CGPointMake(index *kScreenWidth, 0);
    }else if (index == 1){
        
        tabScrollView.contentOffset = CGPointMake(index *kScreenWidth, 0);
    }else if (index == 2){
        
        
        topView.contentOffset = CGPointMake(0, 0);
        tabScrollView.contentOffset = CGPointMake(index *kScreenWidth, 0);
    }else if (index == 3){
        
        topView.contentOffset = CGPointMake(BtnWidth*2, 0);
        tabScrollView.contentOffset = CGPointMake(index *kScreenWidth, 0);
    }else if (index == 4){
              
        tabScrollView.contentOffset = CGPointMake(index *kScreenWidth, 0);
    }else if (index == 5){
        
        tabScrollView.contentOffset = CGPointMake(index *kScreenWidth, 0);
    }
}


@end
